html {
  font-size: 16px;
}

body.login {
  position: relative;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  color: #495057;
  font-size: 1rem;
  line-height: 1.75;
  background-color: #f1f3f5;
  background-image: repeating-linear-gradient(45deg, #e9ecef 0 1px, transparent 1px 4rem), repeating-linear-gradient(-45deg, #e9ecef 0 1px, transparent 1px 4rem);
}
body.login::after {
  content: "";
  position: absolute;
  background: linear-gradient(to bottom, transparent 0%, #f1f3f5 50vh);
  inset: 0;
}
body.login h1.admin-email__heading {
  margin-bottom: 1rem;
  padding: 0;
  color: #212529;
  font-size: 1.5rem;
  line-height: 1.375;
  border: none;
}
body.login p {
  line-height: 1.75;
}
body.login p.admin-email__details {
  margin: 0 0 1rem;
}
body.login a {
  color: #8C2034;
}
body.login a:focus {
  box-shadow: none;
}
body.login #login {
  position: relative;
  z-index: 2;
  width: 100%;
  max-width: 100vw;
  margin: 0 auto;
  padding: 1.5rem;
  text-align: inherit;
  background-color: #fff;
  border-radius: 0.375rem;
  box-shadow: 0 0.5rem 1.5rem rgba(33, 37, 41, 0.1);
}
@media (width >= 768px) {
  body.login #login {
    max-width: 24rem;
    padding: 3rem 6rem;
  }
}
body.login #login .wp-login-logo {
  margin: 0 0 1.5rem;
}
@media (width >= 1200px) {
  body.login #login .wp-login-logo {
    margin: 0 0 3rem 0;
  }
}
body.login #login .wp-login-logo a {
  display: block;
  width: 16rem;
  height: 4rem;
  margin: 0 auto;
  text-indent: -9999px;
  background-image: url("../../framework/assets/img/logo/logo.svg");
  background-position: center;
  background-size: contain;
  outline: none !important;
  pointer-events: none;
}
body.login #login .message,
body.login #login .notice,
body.login #login .success,
body.login #login #reg_passmail {
  margin: 0 0 1rem;
  padding: 0.5rem 1rem;
  color: #495057;
  font-size: 0.875rem;
  text-align: left;
  background: #f1f3f5;
  border: none;
  border-radius: 0.375rem;
  box-shadow: none;
}
body.login #login .notice.notice-success {
  color: rgb(6.4, 74, 51.6);
  background: rgb(207.2, 241, 229.8);
}
body.login #login .notice.notice-error {
  color: rgb(95.6, 27.2, 27.2);
  background: rgb(251.8, 217.6, 217.6);
}
body.login #login .notice.notice-info {
  color: rgb(23.6, 52, 98.4);
  background: rgb(215.8, 230, 253.2);
}
body.login #login #reg_passmail {
  background: #f1f3f5;
}
body.login #login form {
  overflow: inherit;
  margin: 0 0 1.5rem;
  padding: 0;
  background: transparent;
  border: none;
  box-shadow: none;
}
@media (width >= 1200px) {
  body.login #login form {
    margin: 0 0 3rem 0;
  }
}
body.login #login form > p,
body.login #login form div {
  margin-bottom: 1rem;
}
body.login #login form label {
  display: block;
  margin-bottom: 0.5rem;
  color: #212529;
  font-size: 0.875rem;
  font-weight: 600;
  line-height: 1.75;
}
body.login #login form .input,
body.login #login form input[type=text],
body.login #login form input[type=password] {
  margin: 0;
  padding: 0.375rem 0.75rem;
  color: #495057;
  font-size: 1rem;
  background-color: #fff;
  border-color: #dee2e6;
  border-radius: 0.375rem;
  outline: none !important;
  box-shadow: none !important;
}
body.login #login form .input:focus,
body.login #login form input[type=text]:focus,
body.login #login form input[type=password]:focus {
  border-color: #ced4da;
}
body.login #login form input[type=text],
body.login #login form input[type=password] {
  width: 100%;
}
body.login #login form input[type=checkbox] {
  margin: 0;
  border-color: #dee2e6;
  box-shadow: none !important;
}
body.login #login form input[type=checkbox]:focus {
  border-color: #ced4da;
}
body.login #login form input[type=checkbox]:checked::before {
  content: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path fill="#8C2034" d="M14.83 4.89l1.34.94-5.81 8.38H9.02L5.78 9.67l1.34-1.25 2.57 2.4z"/></svg>');
}
body.login #login form .wp-pwd {
  margin: 0;
}
body.login #login form .wp-pwd .button {
  color: #868e96;
  border-color: transparent !important;
  outline: none !important;
  box-shadow: none !important;
}
body.login #login form .forgetmenot {
  display: flex;
  float: none;
  clear: both;
  align-items: center;
  gap: 0.5rem;
  width: 100%;
  margin: 0;
  cursor: pointer !important;
}
body.login #login form .forgetmenot label {
  margin: 0;
}
body.login #login form .submit:not(.fix) {
  margin: 1rem 0 0 0;
}
body.login #login form .admin-email__actions {
  margin: 0;
}
body.login #login form .admin-email__actions .admin-email__actions-primary {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin: 0 0 1rem;
  padding: 0;
}
body.login #login form .admin-email__actions .admin-email__actions-secondary {
  margin: 0;
  padding: 0;
}
body.login #login form .button:not(.wp-hide-pw),
body.login #login form .admin-email__actions-secondary > a {
  display: block;
  float: none;
  clear: both;
  box-sizing: border-box;
  width: 100%;
  margin: 0;
  padding: 0.375rem 1.125rem;
  font-size: 1rem;
  font-weight: 600;
  line-height: 1.75;
  text-align: center;
  text-decoration: none;
  border: 1px solid transparent;
  border-radius: 0.375rem;
  box-shadow: none;
}
body.login #login form .button:not(.wp-hide-pw):not(.button-large),
body.login #login form .admin-email__actions-secondary > a:not(.button-large) {
  color: #868e96;
  background: #fff;
  border-color: #dee2e6;
}
body.login #login form .button:not(.wp-hide-pw):not(.button-large):hover, body.login #login form .button:not(.wp-hide-pw):not(.button-large):focus-visible,
body.login #login form .admin-email__actions-secondary > a:not(.button-large):hover,
body.login #login form .admin-email__actions-secondary > a:not(.button-large):focus-visible {
  color: #212529;
}
body.login #login form .button:not(.wp-hide-pw).button-large:not(.button-primary),
body.login #login form .admin-email__actions-secondary > a.button-large:not(.button-primary) {
  color: #fff;
  background: #081826;
  border-color: #081826;
}
body.login #login form .button:not(.wp-hide-pw).button-large:not(.button-primary):hover, body.login #login form .button:not(.wp-hide-pw).button-large:not(.button-primary):focus-visible,
body.login #login form .admin-email__actions-secondary > a.button-large:not(.button-primary):hover,
body.login #login form .admin-email__actions-secondary > a.button-large:not(.button-primary):focus-visible {
  background: rgb(7.2, 21.6, 34.2);
  border-color: rgb(7.2, 21.6, 34.2);
}
body.login #login form .button:not(.wp-hide-pw).button-large.button-primary,
body.login #login form .admin-email__actions-secondary > a.button-large.button-primary {
  color: #fff;
  background: #8C2034;
  border-color: #8C2034;
}
body.login #login form .button:not(.wp-hide-pw).button-large.button-primary:hover, body.login #login form .button:not(.wp-hide-pw).button-large.button-primary:focus-visible,
body.login #login form .admin-email__actions-secondary > a.button-large.button-primary:hover,
body.login #login form .admin-email__actions-secondary > a.button-large.button-primary:focus-visible {
  background: rgb(126, 28.8, 46.8);
  border-color: rgb(126, 28.8, 46.8);
}
body.login #login #nav,
body.login #login #backtoblog {
  margin: 0;
  padding: 0;
  color: #868e96;
  font-size: 0.875rem;
  text-align: center;
}
body.login #login #nav a,
body.login #login #backtoblog a {
  color: inherit;
}
body.login #login #nav a:hover, body.login #login #nav a:focus-visible,
body.login #login #backtoblog a:hover,
body.login #login #backtoblog a:focus-visible {
  color: #8C2034;
  text-decoration: none;
}
body.login #login #nav {
  padding: 1.5rem 0 0 0;
  border-top: 1px solid #dee2e6;
}
@media (width >= 1200px) {
  body.login #login #nav {
    padding: 3rem 0 0 0;
  }
}
body.login #login #backtoblog {
  padding-top: 0.5rem;
}
body.login .privacy-policy-page-link {
  display: none;
}
body.login .language-switcher {
  display: none;
}
@media (height >= 700px) {
  body.login {
    display: flex;
    justify-content: center;
    align-items: center;
  }
}